propellor-5.13: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell2010

Propellor.Types.Chroot

# Documentation

data ChrootInfo Source #

Constructors

ChrootInfo |

Fields

- _chroots :: Map FilePath Host
- _chrootCfg :: ChrootCfg

#### Instances

Instances details

Show ChrootInfo Source # |
Instance details Defined in Propellor.Types.Chroot Methods showsPrec :: Int -> ChrootInfo -> ShowS show :: ChrootInfo -> String showList :: [ChrootInfo] -> ShowS
Semigroup ChrootInfo Source # |
Instance details Defined in Propellor.Types.Chroot Methods (<>) :: ChrootInfo -> ChrootInfo -> ChrootInfo # sconcat :: NonEmpty ChrootInfo -> ChrootInfo stimes :: Integral b => b -> ChrootInfo -> ChrootInfo
Monoid ChrootInfo Source # |
Instance details Defined in Propellor.Types.Chroot Methods mempty :: ChrootInfo # mappend :: ChrootInfo -> ChrootInfo -> ChrootInfo # mconcat :: [ChrootInfo] -> ChrootInfo #
Empty ChrootInfo Source # |
Instance details Defined in Propellor.Types.Chroot Methods isEmpty :: ChrootInfo -> Bool Source #
IsInfo ChrootInfo Source # |
Instance details Defined in Propellor.Types.Chroot Methods propagateInfo :: ChrootInfo -> PropagateInfo Source #

data ChrootCfg Source #

Constructors

NoChrootCfg |
SystemdNspawnCfg [(String, Bool)] |

#### Instances

Instances details

Eq ChrootCfg Source # |
Instance details Defined in Propellor.Types.Chroot Methods (==) :: ChrootCfg -> ChrootCfg -> Bool (/=) :: ChrootCfg -> ChrootCfg -> Bool
Show ChrootCfg Source # |
Instance details Defined in Propellor.Types.Chroot Methods showsPrec :: Int -> ChrootCfg -> ShowS show :: ChrootCfg -> String showList :: [ChrootCfg] -> ShowS
Semigroup ChrootCfg Source # |
Instance details Defined in Propellor.Types.Chroot Methods (<>) :: ChrootCfg -> ChrootCfg -> ChrootCfg # sconcat :: NonEmpty ChrootCfg -> ChrootCfg stimes :: Integral b => b -> ChrootCfg -> ChrootCfg
Monoid ChrootCfg Source # |
Instance details Defined in Propellor.Types.Chroot Methods mempty :: ChrootCfg # mappend :: ChrootCfg -> ChrootCfg -> ChrootCfg # mconcat :: [ChrootCfg] -> ChrootCfg #
Empty ChrootCfg Source # |
Instance details Defined in Propellor.Types.Chroot Methods isEmpty :: ChrootCfg -> Bool Source #